import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('schedule_model')
export class ScheduleModelEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    firstName: string;

    @Column({default: null, nullable: true})
    lastName: string;

    @Column({default: null, nullable: true})
    email: string;

    @Column({default: null, nullable: true})
    phone: string;

    @Column({default: null, nullable: true})
    role: string;

    @Column({default: null, nullable: true})
    transactionNumber: string;

    @Column({default: null, nullable: true})
    industry: string;
}
