import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("security_page_cms")
export class SecurityPageCms extends CoreEntity {
    @Column({default: null, nullable: true})
    pageTitle: string;

    @Column({default: null, nullable: true})
    pageSubTitle: string;

    @Column({default: null, type: "longtext", nullable: true})
    description: string;
}
