import {IsEmpty, IsNotEmpty, IsOptional} from "class-validator";

export class CreateEventScheduleDto {
    @IsNotEmpty()
    eventName: string;

    @IsNotEmpty()
    startTime: Date;

    @IsNotEmpty()
    endTime: Date;

    @IsNotEmpty()
    guestEmail: string;

    @IsOptional()
    description: string;
}