import {IsEmpty, IsNotEmpty, IsOptional} from "class-validator";

export class CreateInviteDto {
    @IsNotEmpty()
    transactionId: string;

    @IsNotEmpty()
    role: string;

    @IsNotEmpty()
    email: string;

    @IsOptional()
    message: string;
}