import {IsNotEmpty, IsOptional} from "class-validator";

export class CreateTransactionAddressDetailsDto {
    @IsNotEmpty()
    transactionId: string;

    @IsOptional()
    buyerName: string;

    @IsOptional()
    buyerAgent: string;

    @IsOptional()
    buyerPhone: string;

    @IsOptional()
    buyerEmail: string;

    @IsOptional()
    buyerAddress: string;

    @IsOptional()
    buyerCity: string;

    @IsOptional()
    buyerState: string;

    @IsOptional()
    buyerZipCode: string;

    @IsOptional()
    buyerSalePrice: string;

    @IsOptional()
    buyerAgentPhone: string;

    @IsOptional()
    buyerAgentEmail: string;

    @IsOptional()
    sellerName: string;

    @IsOptional()
    sellerAgent: string;

    @IsOptional()
    sellerPhone: string;

    @IsOptional()
    sellerEmail: string;

    @IsOptional()
    sellerAddress: string;

    @IsOptional()
    sellerCity: string;

    @IsOptional()
    sellerState: string;

    @IsOptional()
    sellerZipCode: string;

    @IsOptional()
    sellerSalePrice: string;

    @IsOptional()
    sellerAgentPhone: string;

    @IsOptional()
    sellerAgentEmail: string;
}