import {IsNotEmpty, IsOptional} from "class-validator";

export class CreateTransactionTimelineDetailsDto {
    @IsNotEmpty()
    transactionId: string;

    @IsOptional()
    closingDate: Date;

    @IsOptional()
    inspectionDate: Date;

    @IsOptional()
    deposit: string;

    @IsOptional()
    sellerConcessions: string;

    @IsOptional()
    methodOfPay: string;

    @IsOptional()
    downPayment: string;

    @IsOptional()
    closing: string;
}